Skip to main content
GET
Get verification

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

verification_id
string<uuid>
required

Verification's unique identifier.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Response

Verification representation.

Verification result.

result
enum<string>
required

The determination of this verification. One of the following:

  • UNVERIFIED – record representing the absence of a verification.
  • PENDING – verification is in progress for this customer.
  • PROVISIONAL – partially verified or verified with restrictions.
  • ACCEPTED – the customer has been verified.
  • REVIEW – verification has run and issues have been identified and require review.
  • VENDOR_ERROR – verification did not successfully run due to an unexpected error or failure.
  • REJECTED – the customer was rejected and should not be allowed to take certain actions e.g., open an account.
Available options:
ACCEPTED,
PENDING,
PROVISIONAL,
REJECTED,
REVIEW,
UNVERIFIED,
VENDOR_ERROR
Example:

"ACCEPTED"

verification_time
string<date-time>
required

The date and time the verification was completed.

verification_type
enum<string>
required

The verification run on the customer. One the following:

  • IDENTITY – verify that the information provided is associated with the identity of a real person or business.
  • WATCHLIST – checks watchlists for known fraud, money laundering, and other suspicious activity.
  • DOCUMENT_VERIFICATION – verifies the authenticity of a document, such as a driver's license, or other government-issued identification document.
  • RELATED_ENTITIES – represents dependent verification checks for related parties (e.g. all beneficial owners must pass KYC for a business to pass KYB).
  • MANUAL_REVIEW – represents the outcome of a manual review of the verification done on a party (note: overrides the outcome of other verification types).
  • LICENSE – represents the outcome of a license verification.
Available options:
DOCUMENT_VERIFICATION,
IDENTITY,
LICENSE,
MANUAL_REVIEW,
RELATED_ENTITIES,
WATCHLIST
Example:

"IDENTITY"

business_id
string<uuid>

Unique ID for the business. Exactly one of business_id or person_id must be set.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

creation_time
string<date-time>
read-only

The date and time the resource was created.

Example:

"2010-05-06T12:23:34.321Z"

customer_initiated
boolean
read-only

Indicates whether the verification was initiated by the customer.

details
object[]

A list of individual checks done as part of the due diligence process for the verification type.

id
string<uuid>
read-only

Unique ID for this verification result.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

last_updated_time
string<date-time>
read-only

The date and time the resource was last updated.

Example:

"2010-05-06T12:23:34.321Z"

metadata
object

Optional field to store additional information about the resource. Intended to be used by the integrator to store non-sensitive data.

person_id
string<uuid>

Unique ID for the person. Exactly one of person_id or business_id must be set.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

vendor_info
Vendor Info · object

The information provided to Synctera from the vendor. Interpretation of this object is up to the client.